<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>keyboard-shortcuts</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 89%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Keypress</strong></th>
<th><strong>Action</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>Ctrl + A</td>
<td>Go to the beginning of the line you are currently typing on</td>
</tr>
<tr class="even">
<td>Ctrl + E</td>
<td>Go to the end of the line you are currently typing on</td>
</tr>
<tr class="odd">
<td>Ctrl + L</td>
<td>Clears the Screen, similar to the clear command</td>
</tr>
<tr class="even">
<td>Ctrl + U</td>
<td>Clears the line before the cursor position. If you are at the end of the line, clears the entire line.</td>
</tr>
<tr class="odd">
<td>Ctrl + H</td>
<td>Same as backspace</td>
</tr>
<tr class="even">
<td>Ctrl + R</td>
<td>Let’s you search through previously used commands</td>
</tr>
<tr class="odd">
<td>Ctrl + C</td>
<td>Kill whatever you are running</td>
</tr>
<tr class="even">
<td>Ctrl + D</td>
<td>Exit the current shell</td>
</tr>
<tr class="odd">
<td>Ctrl + Z</td>
<td>Puts whatever you are running into a suspended background process. fg restores it.</td>
</tr>
<tr class="even">
<td>Ctrl + W</td>
<td>Delete the word before the cursor</td>
</tr>
<tr class="odd">
<td>Ctrl + K</td>
<td>Clear the line after the cursor</td>
</tr>
<tr class="even">
<td>Ctrl + T</td>
<td>Swap the last two characters before the cursor</td>
</tr>
<tr class="odd">
<td>Tab</td>
<td>Auto-complete files and folder names</td>
</tr>
</tbody>
</table>
</body>
</html>
